# -*- encoding: utf-8 -*-
# stub: cucumber-wire 0.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "cucumber-wire".freeze
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Matt Wynne".freeze]
  s.date = "2015-12-23"
  s.description = "Wire protocol for Cucumber".freeze
  s.email = "cukes@googlegroups.com".freeze
  s.files = [".rspec".freeze, ".travis.yml".freeze, "Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "cucumber-wire.gemspec".freeze, "features/erb_configuration.feature".freeze, "features/handle_unexpected_response.feature".freeze, "features/invoke_message.feature".freeze, "features/readme.md".freeze, "features/snippets_message.feature".freeze, "features/step_definitions/aruba_steps.rb".freeze, "features/step_definitions/wire_steps.rb".freeze, "features/step_matches_message.feature".freeze, "features/support/fake_wire_server.rb".freeze, "features/table_diffing.feature".freeze, "features/tags.feature".freeze, "features/timeouts.feature".freeze, "lib/cucumber/wire.rb".freeze, "lib/cucumber/wire/add_hooks_filter.rb".freeze, "lib/cucumber/wire/configuration.rb".freeze, "lib/cucumber/wire/connection.rb".freeze, "lib/cucumber/wire/connections.rb".freeze, "lib/cucumber/wire/data_packet.rb".freeze, "lib/cucumber/wire/exception.rb".freeze, "lib/cucumber/wire/plugin.rb".freeze, "lib/cucumber/wire/protocol.rb".freeze, "lib/cucumber/wire/protocol/requests.rb".freeze, "lib/cucumber/wire/request_handler.rb".freeze, "lib/cucumber/wire/snippet.rb".freeze, "lib/cucumber/wire/step_definition.rb".freeze, "lib/cucumber/wire/version".freeze, "spec/cucumber/wire/configuration_spec.rb".freeze, "spec/cucumber/wire/connection_spec.rb".freeze, "spec/cucumber/wire/connections_spec.rb".freeze, "spec/cucumber/wire/data_packet_spec.rb".freeze, "spec/cucumber/wire/exception_spec.rb".freeze]
  s.homepage = "http://cucumber.io".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "2.6.8".freeze
  s.summary = "cucumber-wire-0.0.1".freeze
  s.test_files = ["spec/cucumber/wire/configuration_spec.rb".freeze, "spec/cucumber/wire/connection_spec.rb".freeze, "spec/cucumber/wire/connections_spec.rb".freeze, "spec/cucumber/wire/data_packet_spec.rb".freeze, "spec/cucumber/wire/exception_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<cucumber>.freeze, ["~> 2.1.0"])
      s.add_development_dependency(%q<bundler>.freeze, [">= 1.3.5"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0.9.2"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
      s.add_development_dependency(%q<aruba>.freeze, ["~> 0"])
    else
      s.add_dependency(%q<cucumber>.freeze, ["~> 2.1.0"])
      s.add_dependency(%q<bundler>.freeze, [">= 1.3.5"])
      s.add_dependency(%q<rake>.freeze, [">= 0.9.2"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3"])
      s.add_dependency(%q<aruba>.freeze, ["~> 0"])
    end
  else
    s.add_dependency(%q<cucumber>.freeze, ["~> 2.1.0"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.3.5"])
    s.add_dependency(%q<rake>.freeze, [">= 0.9.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<aruba>.freeze, ["~> 0"])
  end
end

